<?php
		// The BOOKMARKSDB configuration file //
		// copyright 2001 Antonio Bonifati    //
		// see COPYING for license details    //

// default database has the following structure:
/*

Database: bookmarksDB  Table: bookmarks  Rows: 0
+---------+------------------+------+-----+---------+----------------+
| Field   | Type             | Null | Key | Default | Extra          |
+---------+------------------+------+-----+---------+----------------+
| id      | int(10) unsigned |      | PRI | 0       | auto_increment |
| parent  | int(10) unsigned |      | MUL | 0       |                |
| name    | char(50)         | YES  |     |         |                |
| url     | char(65)         | YES  |     |         |                |
| type    | char(1)          | YES  |     |         |                |
| comment | char(100)        | YES  |     |         |                |
+---------+------------------+------+-----+---------+----------------+

type value | link type
-----------+------------
     D     | directory
     H     | HTTP link
     F     | FTP link
     f     | FILE link
     G     | GOPHER link
     M     | MAILTO link
     N     | NEWS link
     n     | NNTP link
     T     | TELNET link
     W     | WAIS link

*/


############################## General settings ############################## 

// for install: if MySQL server in which to create the bookmark database
// and username and password to use are different from HOSTNAME, USERNAME
// and PASSWORD you need to manually set them in install.php
// (simply change the mysql_connect parameters call)
// this is often needed for USERNAME and PASSWORD, because the
// server user isn't allowed to create new databases or tables in MySQL.

// for other scripts: MySQL server which contains the bookmark database
// 'localhost' or '' means the same server which runs the scripts
// '' for USERNAME means the same user who owns the http server process
// (typically nobody)
define('HOSTNAME', 'localhost');
// user name of the user which can manipulate the bookmark database
define('USERNAME', '');
// its password (default is '' that is none)
define('PASSWORD', '');

// install.php will try to create a database with this name, but usually
// web server user hasn't permission to create/drop databases. If so,
// please see note above (after "for install:").
define('DBNAME', 'bookmarksDB');

// these defines various text field length which are used
// when creating the database. See CREATE query in install.php.
define('nameCHARlen',	  50);	// set to MAX bookmark name length
define('urlCHARlen',	  65);	// set to MAX url length
define('commentCHARlen', 100);	// set to MAX comment length

// listing ordering desidered.
// use define("ORDERBY", ''); for no sorting.
define("ORDERBY", 'type, name');

// setting this to FALSE will disable the automatic redirection after
// a delete confirmation which is implemented using JavaScript
// and you will need to press your browser's back button twice to return
// where you were after a delete confirmation. Of course this doesn't
// affect browser which doesn't support JavaScript.
define('REDIRONDEL', TRUE);
// how many levels to go back in automatic redirection
// you need to set this to -1 if you disable delete confirmation
// (see DELETEMARK below)
define('REDIRLEVEL', -2);

// same as REDIRONDEL, but is for new/edit/move
// in this case REDIRLEVEL is fixed to -2
define('REDIRONNEM', TRUE);

// if you don't want all of the application pages
// to be cached by most browsers set this to TRUE
// note that admin/index.php, admin/all.php and admin/search.php
// are always not cached, even if NOCACHE is FALSE
define('NOCACHE', FALSE);



############################## HTML settings ############################## 

// html to print after a custom fatal error message
define('HTMLend', "</font>\n</body>\n</html>\n");

// markup to format the name of the current directory
define('TITLEMARK', '<h3>%s</h3>');

//// you can change these as you want, but please don't remove %s's
// markup to use to represent the previous directory
define('PREVDIRMARK', '<a href="?parent=%s"><img src="folder.png" width=15 height=13 border=0 hspace=3>..</a>');

// markup to use to represent directories
// please note that the first %s get substituted with
// the file name to call, the second with the option to pass,
// the third one with the directory name, so you can't have
// directory name printed before setting the associated url
define('DIRMARK', '<a href="%s?parent=%s"><img src="folder.png" width=15 height=13 border=0 hspace=3>%s</a>');

// markup used to represent "url files"
// same warning as above
// hint: add target="_new" attribute to the <a> tag
// if you want all urls to open in a new page
define('URLMARK', '<img src="spacer.png" width=4 height=1><a href="%s">%s</a>');

// markup used to represent a comment
define('COMMENTMARK', '<img src="question.png" width=10 height=16 hspace=3 ALT="%s">');

// markup used to link to directory which
// is the parent of a file in the search result
define('PARENTMARK', '<a href="?parent=%s"><img src="foldersmall.png" width=11 heighti=9 border=0 hspace=3 ALT="parent dir"></a>');

// markup printed when a directory is empty Optional: use
// define('EMPTYMARK', '');
// to print nothing in this case.
define('EMPTYMARK', '<img src="spacer.png" width=3><i>empty</i>');

// markup used to end the line and separate entries
define('ENDMARK', '<br>');

// markup used to represent the admin icons
define('NEWMARK', '<a href="new.php?parent=%s"><img src="new.png" width=12 height=14 border=0 alt="new"></a>');
// here you can use "delete.?id=%s&sure=" to bypass the ask for confirmation
// you also will need to set REDIRLEVEL to -1 instead of -2
define('DELETEMARK', '<a href="delete.php?id=%s"><img src="cross.png" width=10 height=16 border=0 hspace=5 alt="delete"></a>');
define('EDITMARK', '<a href="edit.php?id=%s"><img src="pencil.png" width=10 height=16 border=0 alt="edit"></a>');
define('MOVEMARK', '<a href="move.php?id=%s"><img src="move.png" width=10 height=16 border=0 hspace=5, alt="move"></a>');

// this markup is used to indent levels of directories
// width is INDENTWIDTH multiplied by the recursion level
// you can choose INDENTWIDTH as you want,
// but you rarely need to to change IDENTMARK
define('INDENTMARK', '<img src="spacer.png" width=%s height=1>');
define('INDENTWIDTH', 18);

		// configuration file ends here //
?>
